<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers" data-namespace-typo3-fluid="true">

<div class="js-osm-preview" data-cookie="{settings.preview.setCookieToShowMapAlways}">
	<a href="javascript:;" title="{f:translate(key:'tx_leafletosm_templates_map_preview.link')} Show map" class="js-osm-show">
		<f:if condition="{map.previewImage}">
			<f:then>
				<f:image image="{map.previewImage}"/>
			</f:then>
			<f:else>
				<f:if condition="{settings.preview.image}">
					<f:then>
						<f:image src="{settings.preview.image}"/>
					</f:then>
					<f:else>
						<f:translate key="tx_leafletosm_templates_map_preview.link"/>Show Map
					</f:else>
				</f:if>
			</f:else>
		</f:if>
	</a>
</div>

</html>
